Vector BLF: Vector::BLF::MostReg Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::MostReg Struct Referencefinal

MOST_REG. More...

`#include <MostReg.h>`

Inheritance diagram for Vector::BLF::MostReg:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
| ObjectHeader2 (const ObjectType objectType)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | subType {}
| read/write request/result
uint8_t | reservedMostReg {}
uint32_t | handle {}
| operation handle
uint32_t | offset {}
| start address
uint16_t | chip {}
| chip id
uint16_t | regDataLen {}
| number of bytes
std::array< uint8_t, 16 > | regData {}
| data bytes
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint8_t | timeStampStatus {}
| time stamp status
uint8_t | reservedObjectHeader {0}
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {0}
| object timestamp
uint64_t | originalTimeStamp {0}
| original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }
enum | TimeStampStatus : uint8_t { Orig = 0x01 , SwHw = 0x02 , User = 0x10 }

## Detailed Description

MOST_REG.

This event transports a register read or write result (e.g. reading the routing engine of the OS8104). Unlike the special register event (MostGenReg) this event does not occur spontaneous.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::MostReg::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::MostReg::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::MostReg::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::MostReg::channel {}

application channel

Application channel

## ◆ chip

uint16_t Vector::BLF::MostReg::chip {}

chip id

ID of chip

- 1 – OS8104

## ◆ handle

uint32_t Vector::BLF::MostReg::handle {}

operation handle

Operation handle (obsolete; write 0)

## ◆ offset

uint32_t Vector::BLF::MostReg::offset {}

start address

Register address offset

## ◆ regData

std::array<uint8_t, 16> Vector::BLF::MostReg::regData {}

data bytes

Register data

## ◆ regDataLen

uint16_t Vector::BLF::MostReg::regDataLen {}

number of bytes

Number of valid bytes in regData

## ◆ reservedMostReg

uint8_t Vector::BLF::MostReg::reservedMostReg {}

reserved

## ◆ subType

uint8_t Vector::BLF::MostReg::subType {}

read/write request/result

Operation type of a register event.

- Unspecified = 0: unspecified (or HW does not support sub types)
- Notify = 1: notification on register change (spontaneous)
- ReadRequest = 2: request of a register read operation
- WriteRequest = 3: request of a register write operation
- ReadResult = 4: result of a register read operation
- WriteResult = 5: result of a register write operation
- ReadFailed = 6: register read operation failed
- WriteFailed = 7: register write operation failed

The documentation for this struct was generated from the following files:

- MostReg.h
- MostReg.cpp